package cg4java;

/*
 * Enthlt alle Konstanten der Cg Core Runtime Liberary.
 */
public interface CgEnum {

  public static final int CG_FALSE = 0;
  public static final int CG_TRUE = 1;

  public static final int CG_UNKNOWN_TYPE = 0;
  public static final int CG_STRUCT = 1;
  public static final int CG_ARRAY = 2;

  public static final int CG_TYPE_START_ENUM = 1024;


  public static final int CG_UNKNOWN = 4096;
  public static final int CG_IN = 4097;
  public static final int CG_OUT = 4099;
  public static final int CG_INOUT = 4099;
  public static final int CG_MIXED = 4100;
  public static final int CG_VARYING = 4101;
  public static final int CG_UNIFORM = 4102;
  public static final int CG_CONSTANT = 4103;
  public static final int CG_PROGRAM_SOURCE = 4104;
  public static final int CG_PROGRAM_ENTRY = 4105;
  public static final int CG_COMPILED_PROGRAM = 4106;
  public static final int CG_PROGRAM_PROFILE = 4107;

  public static final int CG_GLOBAL = 4108;
  public static final int CG_PROGRAM = 4109;

  public static final int CG_DEFAULT = 4110;
  public static final int CG_ERROR = 4111;

  public static final int CG_SOURCE = 4112;
  public static final int CG_OBJECT = 4113;

  /*
   * Profile-Enum
   */
  public static final int CG_PROFILE_START = 6144;
  public static final int CG_PROFILE_UNKNOWN = 6145;

  public static final int CG_PROFILE_VP20 = 6146;
  public static final int CG_PROFILE_FP20 = 6147;
  public static final int CG_PROFILE_VP30 = 6148;
  public static final int CG_PROFILE_FP30 = 6149;
  public static final int CG_PROFILE_ARBVP1 = 6150;
  public static final int CG_PROFILE_ARBFP1 = 7000;

  /*
   * Errors
   */
  public final static int CG_NO_ERROR = 0;
  public final static int CG_COMPILER_ERROR = 1;
  public final static int CG_INVALID_PARAMETER_ERROR = 2;
  public final static int CG_INVALID_PROFILE_ERROR = 3;
  public final static int CG_PROGRAM_LOAD_ERROR = 4;
  public final static int CG_PROGRAM_BIND_ERROR = 5;
  public final static int CG_PROGRAM_NOT_LOADED_ERROR = 6;
  public final static int CG_UNSUPPORTED_GL_EXTENSION_ERROR = 7;
  public final static int CG_INVALID_VALUE_TYPE_ERROR = 8;
  public final static int CG_NOT_MATRIX_PARAM_ERROR = 9;
  public final static int CG_INVALID_ENUMERANT_ERROR = 10;
  public final static int CG_NOT_4x4_MATRIX_ERROR = 11;
  public final static int CG_FILE_READ_ERROR = 12;
  public final static int CG_FILE_WRITE_ERROR = 13;
  public final static int CG_NVPARSE_ERROR = 14;
  public final static int CG_MEMORY_ALLOC_ERROR = 15;
  public final static int CG_INVALID_CONTEXT_HANDLE_ERROR = 16;
  public final static int CG_INVALID_PROGRAM_HANDLE_ERROR = 17;
  public final static int CG_INVALID_PARAM_HANDLE_ERROR = 18;
  public final static int CG_UNKNOWN_PROFILE_ERROR = 19;
  public final static int CG_VAR_ARG_ERROR = 20;
  public final static int CG_INVALID_DIMENSION_ERROR = 21;
  public final static int CG_ARRAY_PARAM_ERROR = 22;
  public final static int CG_OUT_OF_ARRAY_BOUNDS_ERROR = 23;

}
