package vsl.gui;

import java.awt.*;

import vsl.lang.*;


public class DiagramCreator extends ComponentCreator
{

  DiagramSelector diagramSelector;

  public DiagramCreator()
  {
    super( "Add Diagram Node" );
    diagramSelector = new DiagramSelector();
    getContentPane().add( diagramSelector, BorderLayout.CENTER );
    pack();
    setResizable(true);
  }

  public Diagram getDiagram()
  {
    return diagramSelector.getDiagram();
  }

}