package vsl.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import vsl.dataflow.*;


public class DiagramPanel extends JPanel implements ActionListener
{

  JButton addButton;
  JTextField nameTextField;

  DataFlowCanvas canvas;

  public DiagramPanel(DataFlowCanvas canvas)
  {
    this.canvas = canvas;
    setLayout( new GridLayout( 2, 1 ) );

    nameTextField = new JTextField();
    add( nameTextField );

    addButton = new JButton( "add" );
    addButton.addActionListener(this);
    add(addButton);
  }

  public void actionPerformed( ActionEvent e )
  {
    Object source = e.getSource();

    if( source == addButton )
    {
      if( nameTextField.getText() != null )
      {
        canvas.addDiagramNode( nameTextField.getText() );
      }
    }

  }

}
