package vsl.gui;

import javax.swing.*;

import vsl.lang.*;


public class OperatorSelector extends JTabbedPane
{

  JComboBox infixComboBox;
  JComboBox praefixComboBox;
  JComboBox postfixComboBox;

  public OperatorSelector()
  {
    infixComboBox = new JComboBox( Operator.getInfixOperators() );
    praefixComboBox = new JComboBox( Operator.getPraefixOperators() );
    postfixComboBox = new JComboBox( Operator.getPostfixOperators() );

    addTab( "Infix", infixComboBox );
    addTab( "Praefix", praefixComboBox );
    addTab( "Postfix", postfixComboBox );

  }

  public Operator getOperator()
  {
    return (Operator)(((JComboBox)getSelectedComponent()).getSelectedItem());
  }

}