package vsl.util;

import java.io.*;
import javax.xml.parsers.*;

import org.w3c.dom.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

/*
 * Einfache statische Klasse zum Laden von XML-Dateien
 */
public class DocumentLoader
{

  /*
   * Gibt unter Angabe des Dateinamens das DOM-Dokument zurck.
   */
  public static Document loadDocument( String documentFileName ) throws
      SAXException, SAXParseException, IOException,
      ParserConfigurationException
  {

    DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
    factory.setValidating( true );

    DocumentBuilder builder = factory.newDocumentBuilder();
    builder.setErrorHandler( new DefaultHandler() );

    return builder.parse( documentFileName );

  }

}