package vsl.gui;

import java.awt.*;
import javax.swing.*;

import vsl.lang.*;

/*
 * Internes Fenster zur Erzeugung eines Konstruktors-Knotens.
 */
public class ConstructorCreator extends ComponentCreator
{

  /*
   * Auswahlbox
   */
  JComboBox comboBox;

  /*
   * Konstruktor
   */
  public ConstructorCreator()
  {
    super("Add Constructor Node");
    comboBox = new JComboBox( Constructor.getConstructors() );
    getContentPane().add( comboBox, BorderLayout.NORTH );
    pack();
  }

  /*
   * Gibt den Konstruktor zurck.
   */
  public Constructor getConstructor()
  {
    return (Constructor)(comboBox.getSelectedItem());
  }

}