package vsl.gui;

import java.awt.*;
import javax.swing.*;

import vsl.dataflow.*;
import vsl.lang.*;


public class ExportPanel extends JPanel
{

  JPanel northPanel;
  JLabel nameLabel;
  JTextField nameTextField;
  DataValuePanel dataValuePanel;

  public ExportPanel()
  {
    setLayout( new BorderLayout() );
    dataValuePanel = new DataValuePanel();
    northPanel = new JPanel();
    northPanel.setLayout( new BorderLayout() );
    nameLabel = new JLabel( "Name: " );
    nameTextField = new JTextField();
    northPanel.add( nameLabel, BorderLayout.WEST );
    northPanel.add( nameTextField, BorderLayout.CENTER );
    add( northPanel, BorderLayout.NORTH);
    add( dataValuePanel, BorderLayout.CENTER );
  }

  public String getName()
  {
    return nameTextField.getText();
  }

  public DataFlowDestinationAnchor getExport()
  {
    String name = nameTextField.getText();
    DataType type = dataValuePanel.getType();
    DataValue data = dataValuePanel.getValue();
    return new DataFlowDestinationAnchor( name, type, data, null );
  }

}
