package vsl.gui;

import javax.swing.*;

import vsl.lang.*;


public class FunctionSelector extends JTabbedPane
{

  JComboBox mathFunctionComboBox;
  JComboBox geomFunctionComboBox;
  JComboBox texFunctionComboBox;

  public FunctionSelector()
  {
    mathFunctionComboBox = new JComboBox(Function.getMathFunctions());
    geomFunctionComboBox = new JComboBox(Function.getGeomFunctions());
    texFunctionComboBox = new JComboBox(Function.getTexFunctions());

    addTab( "Mathematical", mathFunctionComboBox );
    addTab( "Geometric", geomFunctionComboBox );
    addTab( "Texture", texFunctionComboBox );

  }

  public Function getFunction()
  {
    return (Function)(((JComboBox)getSelectedComponent()).getSelectedItem());
  }


}