package vsl.gui;

import javax.swing.*;

import vsl.lang.*;

/*
 * Klasse zur Auswahl eines OpenGL-States.
 */
public class StateSelector extends JTabbedPane
{

  JComboBox matrix;
  JComboBox material;
  JComboBox light;

  public StateSelector()
  {
    matrix = new JComboBox( StateVariable.getMatrixState() );
    material = new JComboBox( StateVariable.getMaterialState() );
    light = new JComboBox( StateVariable.getLightState() );
    add( matrix, "Matrix" );
    add( material, "Material" );
    add( light, "Light" );
  }

  public StateVariable getState()
  {
    return (StateVariable)(((JComboBox)getSelectedComponent()).getSelectedItem());
  }

}